Willkommen, Gast
Angemeldet bleiben:

THEMA:

Joomla 3.3 - Modul Beiträge - Kategorien 23 Jun 2014 08:51 #39208

Hallo zusammen.

Ich hoffe, mir kann jemand helfen. Das Modul Beiträge - Kategorien (Auflistung der Kategorien in einem Modul) verursacht bei mir einen Fehler.

Fehlermeldung:
Fatal error: main() [<a href='function.main'>function.main</a>]: The script tried to execute a method or access a property of an incomplete object. Please ensure that the class definition "JCategoryNode" of the object you are trying to operate on was loaded _before_ unserialize() gets called or provide a __autoload() function to load the class definition in /[....]/joomla-A/modules/mod_articles_categories/mod_articles_categories.php on line 29

Inhalt der entsprechenden Datei:
<?php
/**
* @package Joomla.Site
* @subpackage mod_articles_categories
*
* @copyright Copyright (C) 2005 - 2014 Open Source Matters, Inc. All rights reserved.
* @license GNU General Public License version 2 or later; see LICENSE.txt
*/

defined('_JEXEC') or die;

// Include the helper functions only once
require_once __DIR__ . '/helper.php';

$cacheid = md5(serialize($module->module));

$cacheparams = new stdClass;
$cacheparams->cachemode = 'id';
$cacheparams->class = 'ModArticlesCategoriesHelper';
$cacheparams->method = 'getList';
$cacheparams->methodparams = $params;
$cacheparams->modeparams = $cacheid;

$list = JModuleHelper::moduleCache($module, $params, $cacheparams);

if (!empty($list))
{
$moduleclass_sfx = htmlspecialchars($params->get('moduleclass_sfx'));
$startLevel = reset($list)->getParent()->level;
require JModuleHelper::getLayoutPath('mod_articles_categories', $params->get('layout', 'default'));
}

Der Fehler ist weg, sobald ich das Modul, das ja ein Standartmodul von Joomla 3 ist, deaktiviere.
Was ist falsch und warum funktioniert das jetzt nicht mehr. Ursprünglich (Joomla 3.0 - 3.2) hat es funktioniert.

Danke für die Hilfe
Clair

Bitte Anmelden oder Registrieren um der Konversation beizutreten.

Joomla 3.3 - Modul Beiträge - Kategorien 23 Jun 2014 11:23 #39210

Dieser Error wird hier erwähnt, offenbar tritt er aber nur in bestimmten Konstellationen ab Joomla! 3.2 auf.

Ich würde halt mal Joomla auf den aktuellen Stand upgraden, vielleicht hilft das...
Joomla! 3: Professionelle Webentwicklung von David Jardin und Elisa Foltyn - das Standardwerk zu Joomla! 3
Wer nicht über den Anstand verfügt, ein kleines "Thänx" auszusprechen, muss sich nicht wundern, künftig ignoriert zu werden!
Kein Support via PM oder Mail. Entsprechende Anfragen werden ignoriert.

Bitte Anmelden oder Registrieren um der Konversation beizutreten.

Joomla 3.3 - Modul Beiträge - Kategorien 23 Jun 2014 15:49 #39215

danke, ich schau mal

mein Joomla ist aktuell

Bitte Anmelden oder Registrieren um der Konversation beizutreten.

Joomla 3.3 - Modul Beiträge - Kategorien 23 Jun 2014 16:49 #39216

Welche PHP Version ist im Einsatz?
Folgende Benutzer bedankten sich: Chris Hoefliger

Bitte Anmelden oder Registrieren um der Konversation beizutreten.

Joomla 3.3 - Modul Beiträge - Kategorien 23 Jun 2014 19:58 #39217

5.3 LATEST-STANDARD

Bitte Anmelden oder Registrieren um der Konversation beizutreten.

Joomla 3.3 - Modul Beiträge - Kategorien 23 Jun 2014 22:05 #39218

Keine Möglichkeit, auf 5.4 zu switchen? PHP 5.3 ist eigentlich verpönt heutzutage.
Joomla! 3: Professionelle Webentwicklung von David Jardin und Elisa Foltyn - das Standardwerk zu Joomla! 3
Wer nicht über den Anstand verfügt, ein kleines "Thänx" auszusprechen, muss sich nicht wundern, künftig ignoriert zu werden!
Kein Support via PM oder Mail. Entsprechende Anfragen werden ignoriert.
Folgende Benutzer bedankten sich: Clair

Bitte Anmelden oder Registrieren um der Konversation beizutreten.

Joomla 3.3 - Modul Beiträge - Kategorien 23 Jun 2014 23:59 #39219

kann ich mal versuchen, Zugriff habe ich
ich kenne mich da aber nicht so aus
ich schau morgen mal danach

Danke für die Info :-)

Bitte Anmelden oder Registrieren um der Konversation beizutreten.

Joomla 3.3 - Modul Beiträge - Kategorien 24 Jun 2014 08:03 #39220

Welche PHP 5.3.x genau?

Bitte Anmelden oder Registrieren um der Konversation beizutreten.

Joomla 3.3 - Modul Beiträge - Kategorien 24 Jun 2014 10:21 #39222

also, ich habe ein PHP Update auf 5.4.9
Damit schein der Fehler behoben.

Danke für den Hinweis

Bitte Anmelden oder Registrieren um der Konversation beizutreten.

Joomla 3.3 - Modul Beiträge - Kategorien 24 Jun 2014 10:22 #39223

In Joomla! 3.3 findest du die aktuelle PHP Version unter

Systeminformationen => PHP Informationen

Wahrscheinlich kannst du die PHP Version in deinem Hosting-Panel ändern. Für die Version 3.x wird im Minimum PHP 5.3.10 vorausgesetzt, empfohlen ist PHP 5.4.x
Joomla! 3: Professionelle Webentwicklung von David Jardin und Elisa Foltyn - das Standardwerk zu Joomla! 3
Wer nicht über den Anstand verfügt, ein kleines "Thänx" auszusprechen, muss sich nicht wundern, künftig ignoriert zu werden!
Kein Support via PM oder Mail. Entsprechende Anfragen werden ignoriert.

Bitte Anmelden oder Registrieren um der Konversation beizutreten.

  • Seite:
  • 1
  • 2